"""new start_date end_date

Revision ID: a4902907d273
Revises: 927ed575acbd
Create Date: 2023-12-04 11:54:59.386918

"""

# revision identifiers, used by Alembic.
revision = 'a4902907d273'
down_revision = '927ed575acbd'

from alembic import op
import sqlalchemy as sa


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('bill', schema=None) as batch_op:
        batch_op.add_column(sa.Column('end_date', sa.Date(), nullable=True))

    with op.batch_alter_table('bill_version', schema=None) as batch_op:
        batch_op.add_column(sa.Column('end_date', sa.Date(), autoincrement=False, nullable=True))

    with op.batch_alter_table('billowers', schema=None) as batch_op:
        batch_op.add_column(sa.Column('start_date', sa.Date(), nullable=True))
        batch_op.add_column(sa.Column('end_date', sa.Date(), nullable=True))
        batch_op.alter_column('bill_id',
               existing_type=sa.INTEGER(),
               nullable=False)
        batch_op.alter_column('person_id',
               existing_type=sa.INTEGER(),
               nullable=False)

    with op.batch_alter_table('billowers_version', schema=None) as batch_op:
        batch_op.add_column(sa.Column('start_date', sa.Date(), autoincrement=False, nullable=True))
        batch_op.add_column(sa.Column('end_date', sa.Date(), autoincrement=False, nullable=True))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('billowers_version', schema=None) as batch_op:
        batch_op.drop_column('end_date')
        batch_op.drop_column('start_date')

    with op.batch_alter_table('billowers', schema=None) as batch_op:
        batch_op.alter_column('person_id',
               existing_type=sa.INTEGER(),
               nullable=True)
        batch_op.alter_column('bill_id',
               existing_type=sa.INTEGER(),
               nullable=True)
        batch_op.drop_column('end_date')
        batch_op.drop_column('start_date')

    with op.batch_alter_table('bill_version', schema=None) as batch_op:
        batch_op.drop_column('end_date')

    with op.batch_alter_table('bill', schema=None) as batch_op:
        batch_op.drop_column('end_date')

    # ### end Alembic commands ###
